package com.iformall.mapper;

import java.util.*;
import com.iformall.common.CommonMapper;
import org.apache.ibatis.annotations.Param;
import com.iformall.domain.po.WxLevelConfig;

public interface WxLevelConfigMapper extends CommonMapper<WxLevelConfig, Long> {

	List<WxLevelConfig> findList(WxLevelConfig wxLevelConfig);

    int insertBatch(List<WxLevelConfig> list);

    int batchUpdate(List<WxLevelConfig> list);
	
    void deleteAll(@Param("tenantId")String tenantId);

    String getLevel(@Param("tenantId")String tenantId,@Param("points")Integer poins);

    /**
     * 获取等级倍率
     * @param tenantId
     * @param points
     * @return
     */
    Integer getScale(@Param("tenantId")String tenantId,@Param("points")Integer points);
}
